module.exports = {
	parserOptions: {
		ecmaVersion: 6,
		sourceType: "module"
	},
	plugins: ["import"],
	extends: ["eslint:recommended"],
	rules: {
		semi: ["warn", "never"],
		quotes: ["warn", "double"],
		"prefer-const": "warn",
		"no-var": "warn",
		"no-new-object": "warn",
		"object-shorthand": "warn",
		"quote-props": ["warn", "as-needed"],
		"no-array-constructor": "warn",
		"prefer-destructuring": "warn",
		"prefer-template": "warn",
		"template-curly-spacing": "warn",
		"no-eval": "error",
		"no-useless-escape": "warn",
		"space-before-blocks": "warn",
		"space-before-function-paren": "warn",
		"prefer-arrow-callback": "warn",
		"arrow-spacing": "warn",
		"arrow-parens": ["warn", "as-needed"],
		"arrow-body-style": ["warn", "as-needed"],
		"no-confusing-arrow": "warn",
		"implicit-arrow-linebreak": "warn",
		"no-dupe-class-members": "warn",
		"no-duplicate-imports": "warn",
		"import/prefer-default-export": "warn",
		"import/first": "warn",
		"import/no-webpack-loader-syntax": "warn",
		"dot-notation": "warn",
		"no-restricted-properties": "warn",
		"one-var": "warn",
		"no-multi-assign": "warn",
		"operator-linebreak": "warn",
		complexity: ["warn", 6],
		"no-console": "warn"
	}
}
